---
title: Detox, un paquet pour assainir les noms de fichier.
date: 2020-01-30T19:21:00+02:00
---
Aujourd'hui je vais vous parler d'un petit utilitaire du nom de [Detox](https://github.com/dharple/detox), non rien à voir avec une dépendance, drogue, alcool, ou autre... Detox est un utilitaire conçu pour assainir les noms de fichier. Detox remplace les caractères difficiles d’utilisation, tels que les espaces, avec leurs équivalents standard. Il nettoie aussi les noms de fichier ayant des caractères UTF-8 ou Latin-1 (ou CP-1252).

Il peut entre-autre faire des:

- suppressions ou remplacements des majuscules ASCII Latin-1 (ISO 8859-1) ;
- suppressions ou remplacements des caractères UTF-8 d’encodage Unicode ;
- suppressions ou remplacements des espaces et caractères potentiellement sujets à problème ;
- rognages des « _ » et « - » excessifs ;
- récursions de répertoires, essais, listes verbeuses.

Il a été conçu avec le souci de la sécurité. Il n’écrasera pas un fichier déjà existant, et ne touchera pas à certains fichiers spéciaux si ce n’est requis.

Detox est utile pour renommer des fichiers en masse automatiquement. Par exemple, detox peut être utilisé pour uniformiser des tas de fichiers, comme des MP3 ou des films téléchargés ou stockés dans un répertoire. 

Il est dans les dèpôts de pas mal de distributions, dont Archlinux, [Debian](https://github.com/dharple/detox)/Ubuntu, Slackware, openSUSE, Mageia, Fedora,... 

Pour l'installer sur debian-likes, rien de bien compliquer:

    apt install detox
    
L'option la plus importante à apprendre est -n, alias --dry-run. Cela vous permettra d'exécuter la désintoxication sans modifier réellement aucun fichier, afin que vous puissiez avoir une idée de la detox.

La façon la plus simple d'exécuter la detox est de simplement l'exécuter sur un répertoire contenant des fichiers qui ont besoin de travail:

    detox xfer_files /

Vous pouvez également simplement spécifier le nom de fichier:

    detox my\ bad\ file.txt

Vous pouvez également spécifier la récursivité (cela fonctionne mieux sur les répertoires):

    detox -r /music/transferred_from_elsewhere/
