---
title: "Pendant ce temps là, dans le Libre..."
date: 2020-10-04T20:22:33+02:00
draft: false
---
Un petit billet pour noter les sorties de ce mois-ci.

- Ubuntu 20.10 Beta [est sortie](https://distrowatch.com/?newsid=11027);
- Fedora 33 Beta est [sortie elle aussi depuis quelques temps](https://distrowatch.com/?newsid=11026),  Linuxfr en [parle d’ailleurs](https://linuxfr.org/news/fedora-33-beta-peut-etre-teste)...;
- la distribution [KaOS sort en version 2020.09](https://distrowatch.com/?newsid=11022), du moins son image *ISO* car c'est une rolling;
- [Puppy Linux en version 9.5](https://distrowatch.com/?newsid=11018) est sortie, excellente distribution pour sa légèreté;

Ce qui suit est la dépêche pour la bêta de Fedora 33 qu'on trouve sur [Linuxfr]( https://linuxfr.org/news/fedora-33-beta-peut-etre-teste) et sur le [blog de Fedora.fr](https://blog.fedora-fr.org/renault/post/Fedora-33-Beta-est-de-sortie).

# Fedora 33 bêta peut être testé 

En ce mardi 29 septembre, la communauté du projet Fedora sera ravie d’apprendre la disponibilité de la version bêta de Fedora 33.


Malgré les risques concernant la stabilité d’une version bêta, il est important de la tester ! En rapportant les bogues maintenant, vous découvrirez les nouveautés avant tout le monde, tout en améliorant la qualité de Fedora 33 et réduisant du même coup le risque de retard. Les versions en développement manquent de testeurs et de retours pour mener à bien leurs buts.


La sortie de la version finale est pour le moment prévue pour le 20 ou 27 octobre. Voici les nouveautés annoncées pour cette version.

----

[Site officiel du projet Fedora](https://getfedora.org/)
[Site officiel de la communauté francophone de Fedora](https://www.fedora-fr.org/)
[Torrents officiels pour télécharger les différentes éditions](https://torrent.fedoraproject.org/)
[Les versions avec bureaux alternatifs de Fedora (KDE, Xfce, etc.)](https://spins.fedoraproject.org/)
[Les suites de productivités de Fedora (astronomie, design, etc.)](https://labs.fedoraproject.org/fr/)
[Calendrier pour Fedora 33](https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html)

----

## Expérience utilisateur 
* Passage à GNOME 3.38.
* Nettoyage de la fonction pour cacher le menu du chargeur de démarrage. Cette fonction introduite par le passé permet de mettre à jour le noyau de manière transparente pour l’utilisateur, si après une mise à jour du noyau le démarrage échoue, le chargeur de démarrage le saura et choisira le noyau précédent automatiquement au redémarrage. Cette fonction était spécifique à Fedora et l’objectif ici est de le rendre disponible en amont.
* C’est le retour des fonds d’écran animés par défaut, le fond d’écran a une teinte qui varie en fonction de l’heure de la journée.
* L’environnement de bureau LXQt 0.15.0 a été mis à jour.
* Le service _dmraid-activation.service_ ne sera pas activé si aucun système RAID n’est détecté lors de l’installation.
* L’éditeur de texte _nano_ devient l’éditeur de texte par défaut en lieu et place de _vi_ car il est considéré comme plus intuitif.
* L’extension de mémoire avec le mécanisme d’échange (_swap_) utilise maintenant _zram_ par défaut pour améliorer la réactivité et les performances. Cela est effectué aussi pour les systèmes existants. Les partitions ou fichiers _swap_ existants sont préservés et obtiennent une priorité d’utilisation plus faible.
* Btrfs devient le système de fichiers par défaut des variantes orientées bureautique, dont Fedora Workstation. Il remplace ainsi _ext4_ qu’il reste évidemment possible d’utiliser. Notons qu’OpenSUSE avait sauté le pas il y a déjà plusieurs années.
* DXVK devient l’implémentation de référence de _wine3d_ en étant basé sur [Vulkan](https://fr.wikipedia.org/wiki/Vulkan_(API)). Cela améliorera les performances des programmes graphiques prévus pour Windows et fonctionnant sous Fedora, en particulier les jeux vidéo.
* Alors que _earlyoom_ était apparu sur Fedora Workstation 32, la variante Fedora KDE le propose désormais par défaut
* Un _[cgroup](https://fr.wikipedia.org/wiki/Cgroups)_ a été créé pour réserver des ressources minimum aux sessions graphiques actives.



## Gestion du matériel 
* Activation des techniques _ARM Pointer Authentication_ et de _Branch Target Identification_ pour l’architecture AArch64 pour améliorer la sécurité des programmes par défaut.
* Meilleure gestion des pics d’activité et de la chauffe des processeurs Intel, entre autres via le démon _thermald_.
* L’écosystème .NET Core est disponible pour AArch64 et non plus uniquement pour l’architecture [x86‑64](https://fr.wikipedia.org/wiki/X64).
* L’édition _Internet des objets_ de Fedora devient une édition officielle de Fedora.



## Internationalisation 
* Mise à jour d’[iBus](https://fr.wikipedia.org/wiki/Intelligent_Input_Bus "Intelligent Input Bus") 1.5.23.
* La plate‑forme de traduction Zanata tire complètement sa révérence de l’écosystème Fedora.



## Administration système 
* La synchronisation du temps par le réseau sécurisé (NTS) est prise en charge dans le client NTP _chrony_ et l’installateur _Anaconda_.
* Les dépôts modulaires sont proposés dans un paquet à part : _fedora-repos-modular_.
* La résolution des noms de domaine dans les applications se fera via _systemd-resolved_. La bibliothèque glibc utilisera _nss-resolve_ au lieu de _nss-dns_ jusqu’à aujourd’hui.
* Renforcement de la politique globale du système : désactivation des protocoles TLS 1.0 et TLS 1.1, rejet des clés Diffie‑Hellman 1 024 bits et des hachages SHA‑1 en guise de signature.
    En cas de problème, pour restaurer à une politique plus souple, vous pouvez exécuter la commande :
    
    ```shell
    # update-crypto-policies --set LEGACY
    ```
* La prise en charge du format _dbm_ dans NSS a été supprimée.
* Ajout de PARSEC pour proposer une API pour le matériel de sécurité ou des services de cryptographie en étant indépendant du matériel. Il peut exploiter les matériels suivants : TPM2, HSM et ARM TrustZone.
* _Storage Instantiation Daemon_ fait son arrivée en grande pompe. L’objectif est d’avoir un démon unique étendant _udev_ pour la gestion des espaces de stockage afin d’éviter d’aboutir à des règles complexes que l’on pouvait avoir sur certains systèmes.
* La collection d’outils X.Org sera proposée via des paquets plus individuels que les paquets génériques _xorg-x11-{apps,font-utils,resutils,server-utils,utils,xkb-utils}_ employés jusqu’ici. Certains utilitaires sont également supprimés.
* Mise à jour de Stratis 2.1.
* Le paquet _device-mapper-multipath_ a été supprimé des médias autonomes (ainsi que des installations par défaut), ce qui améliore le temps d’amorçage pour les usages bureautiques. Les serveurs et centres de données qui en ont besoin pour leur usage pourront toujours l’installer ou en disposer via une image plus adaptée.
* Les profils de connexion de NetworkManager seront sauvegardés dans le format officiel _keyfile_ au lieu d’utiliser le format spécifique à Red Hat qui est _ifcfg-rh_. Cela ne concerne que les nouveaux profils, la compatibilité est pour l’instant conservée pour les profils préexistants. 
* Le gestionnaire de paquets RPM 4.16 a été mis à jour.
* Les bases de données RPM passent du format Berkeley DB à SQLite.



## Développement 
* LLVM passe à la 11ᵉ version.
* Make prépare sa version 4.3.
* Mise à jour de la bibliothèque C glibc 2.32.
* Mise à jour des outils binutils 2.34.
* Petit coup de Boost 1.73 pour la bibliothèque générique C++.
* Mise à jour de l’environnement MinGW pour la compilation d’applications Windows sous GNU/Linux.
* Passage de Golang à la version 1.15.
* OpenJDK 11 danse la Java.
* Node.js fait un 14ᵉ nœud.
* Erlang 23 est disponible.
* Mise à jour de GHC 8.8 et de Haskell Stackage LTS 16.
* Le langage Perl est proposé à la version 5.32.
* Ruby on Rails embarque dans la voiture 6.0.
* La version 3.9 de Python débarque.
* Alors que les versions 2.6 et 3.4 de Python sont supprimées.
* À propos de Python, le paquet _python-pytoml_ est déprécié et sera supprimé prochainement.
* _mod_php_ est supprimé, il permettait au serveur Apache d’exécuter du PHP directement.
* La bibliothèque _libdb_ est dépréciée et sera supprimée définitivement dans une prochaine version de Fedora.
* Les paquets _glibc-headers.i686_ et _glibc-headers.x86_64_ ont fusionné dans le nouveau paquet _glibc-headers-x86.noarch_. Pour les autres architectures le paquet _glibc-headers_ a fusionné dans _glibc-devel_.
* Les paquets de BLAS/LAPACK seront compilés avec FlexiBLAS qui est un _wrapper_ pour pouvoir choisir la bibliothèque compatible BLAS de référence de son choix.



## Projet Fedora 
* CMake peut être utilisé pour faire des compilations dans différents répertoires pour la conception des RPM.
* Mise à disposition d’ELN, un nouveau _buildroot_ qui permettra de simuler un environnement RHEL afin d’évaluer les impacts des changements de Fedora directement dans RHEL.
* Les paquets sont maintenant compilés avec l’optimisation au niveau de l’éditeur des liens qui supprime le code inutile.
* Phase 3 pour supprimer les éléments automagiques pour la construction des paquets RPM autour de Python.
* Les dépendances additionnelles des paquets Python seront automatiquement générées.
* La macro non versionnée `%{__python}` génèrera une erreur.
* Ajout des macros `%make_build` et `%make_install` pour la conception des RPM afin d’avoir un usage plus uniforme de la commande `make` pour créer ces paquets.



## Tester 
Durant le développement d’une nouvelle Fedora, comme cette version bêta, quasiment chaque semaine le projet propose des journées de tests. Le but est de tester pendant une journée une fonctionnalité précise comme le noyau, Fedora Silverblue, la mise à niveau, GNOME, l’internationalisation, etc. L’équipe d’assurance qualité élabore et propose une série de tests en général simples à exécuter. Il suffit de les suivre et d’indiquer si le résultat est celui attendu. Dans le cas contraire, un rapport de bogue devra être ouvert pour permettre l’élaboration d’un correctif.
    
C’est très simple à suivre et requiert souvent peu de temps (15 minutes à une heure maximum) si vous avez une bêta exploitable sous la main. Les tests à effectuer et les rapports sont à faire via la [page suivante](http://testdays.fedorainfracloud.org/events). Lorsqu'une journée de tests est planifiée, [je l’annonce régulièrement sur mon blog](https://blog.fedora-fr.org/renault/).

Si l’aventure vous intéresse, les images sont disponibles par [Torrent](https://torrent.fedoraproject.org/) ou via [site officiel](https://getfedora.org/). Si vous avez déjà Fedora 32 ou 31 sur votre machine, vous pouvez réaliser [une mise à niveau vers la bêta](https://doc.fedora-fr.org/wiki/Mise_%C3%A0_niveau_de_Fedora). Cela consiste en une grosse mise à jour, vos applications et données sont préservées. Nous vous recommandons dans les deux cas de procéder à une sauvegarde de vos données au préalable.

En cas de bogue, n’oubliez pas de relire [la documentation pour signaler les anomalies sur le BugZilla](https://doc.fedora-fr.org/wiki/Apprendre_%C3%A0_rapporter_un_bogue) ou de [contribuer à la traduction sur Weblate](https://translate.fedoraproject.org/).


Bons tests à toutes et à tous !
