---
title: "Pourquoi Debian comme distribution principale?"
date: 2020-11-19T16:36:42+01:00
draft: false
---
![debian](https://www.debian.org/logos/openlogo.svg)
C'est une question qu'on me pose régulièrement dans les mails, je réponds toujours un peu la même chose sans trop réfléchir car c'est bien là le truc, c'est que Debian est devenue comme une seconde peau numériquement parlant et que je n'y prête même plus attention, c'est un automatisme.

Je sais pas si je vais réussir à dire le pourquoi du comment, à force, le temps passant, je ne sais plus trop le pourquoi, ni même le comment. Je sais juste qu'un jour comme un autre, j'ai eu marre de ce que j'avais, j'ai cherché et testé pas mal de choses, pour en fin de compte rester sur celle-ci.

Des fois, je me dis pourquoi ne pas changer, voir ailleurs, puis je teste sur une machine virtuelle ou bien en "dur" sur une autre machine --j'ai de quoi faire avec 2 desktops et 4 portables--, mais non rien ne me va au final autant que cette Debian.

Alors pourquoi Debian? Qu'est-ce qui fait que Debian me va si bien?

C'est un tout, tout n'est pas rose, mais en grosse partie, ça me correspond totalement. Des fois les angles ne sont pas assez arrondis mais suffit de polir un peu et c'est bon. Certains parlent de leurs distributions en ne parlant que de paquets, de mises-à-jour, de fraîcheur, ... et j'en passe. Mais quand on a un peu de bouteille, quand on veut un peu de personnalisation, on va vouloir dépasser le cadre de l'utilisateur --du simple utilisateur--, on va vouloir participer, mettre la main à la pâte et là ce sont les outils qui sont important, ou tout simplement on veut se mettre au "vert" sur un truc qui est "pépère" et pour le coup on a besoin de tranquillité.

Debian est avant tout un OS qui est à vos cotés sans jamais interférer. Ce n'est pas un OS qui va vous tenir la main, il va vous donner les moyens de faire ce que vous voulez --tout ce que vous voulez-- mais sans jamais vous materner. C'est important de le dire car au delà des éternelles distributions que sont Ubuntu, Fedora, ~~Mandriva~~ Mageia, openSUSE, ... qui en plus de vous materner, vous prends parfois pour des abrutis en faisant le contraire de ce que vous voulez car celles-ci savent mieux que vous ce qui est bon pour vous, Debian reste une valeur sûr et ne s'interpose jamais dans vos décisions.

Debian ne serait pas Debian sans la charte du projet Debian, son [contrat social](https://www.debian.org/social_contract), oui Debian est la seule distribution mettant un point d'honneur à mettre sur un piédestal ses utilisateurs et le logiciel libre. Dans certaines distributions, notamment Fedora et openSUSE ont un *"Contrôle de l’exportation"* ou dans le texte original *"Export Regulations"*, qui est en opposition avec la licence *GNU* pourtant utilisée par ces deux projets. J'en ai parlé vite fait [ici](https://passiongnulinux.tuxfamily.org/posts/2020-05-11-les-licences-de-fedora-opensuse-compatibles-avec-gpl2-mit/) et [là](https://passiongnulinux.tuxfamily.org/posts/2020-05-11-les-licences-de-fedora-opensuse-compatibles-avec-gpl2-mit-2/), la *FSF* en parle [ici](https://www.gnu.org/philosophy/free-sw.fr.html).

Il y a aussi *Les principes du logiciel libre selon Debian*:
> L'idée de rédiger les "principes du logiciel libre" fut suggérée par Ean Schuessler. Bruce Perens écrivit la première ébauche de ce document et la perfectionna d'après les commentaires des développeurs de Debian recueillis à l'occasion d'une conférence tenue par courriels interposés pendant tout le mois de juin 1997. Le document résultant fut ensuite accepté comme faisant partie intégrante de la charte du projet Debian.
> 
> Plus tard, Bruce Perens retira toute référence au projet Debian des DFSG pour en faire la "Définition de l'Open Source". 

C'est dire l'importance du projet Debian pour le monde libre.

Alors pourquoi Debian? Faudrait peut être que je parle de comment et pourquoi? J'ai été sur Debian pour ses outils de gestion de paquets (`dpkg`, `APT`, `Synaptic`,...) les plus avancés à cette époque et son format de paquets (.deb), j'y suis resté pour son contrat social entre autre. J'ai entre temps découvert la fabrication de paquets en *.deb* mais j'y reviendrai car c'est aussi une raison de mon adoration pour cette distribution.

Maintenant que j'ai dis ça, je dois rajouter mes raisons un peu moins sentimentales et plus pragmatiques comme :

- C’est une distribution communautaire, au développement assuré indépendamment de
toute contrainte commerciale ; ses objectifs sont donc essentiellement d’ordre technique,
ce qui semble favoriser la qualité globale du produit.
- De toutes les distributions communautaires, c’est la plus importante à tout point de vue :
en nombre de contributeurs, en nombre de logiciels disponibles, en années d’existence. La
taille de sa communauté représente évidemment un indiscutable gage de pérennité.
- Statistiquement, ses nouvelles versions sortent tous les 18 à 24 mois, et elles bénéficient
d’un support pendant 5 ans ; ce calendrier convient aux administrateurs.
- Une enquête auprès de plusieurs sociétés de services françaises spécialisées dans le lo-
giciel libre a montré que toutes proposent une assistance technique pour Debian ; c’est
même pour beaucoup d’entre elles la distribution retenue en interne. Cette diversité de
fournisseurs potentiels est un atout majeur pour l’indépendance de Falcot SA.
- Enfin, Debian est disponible sur une multitude d’architectures, dont ppc64el pour les pro-
cesseurs OpenPOWER ; il sera donc possible de l’installer sur les serveurs IBM les plus ré-
cents de Falcot SA.

Oui j'ai repris les raisons qui sont citées dans le livre *"[Le cahier de l'administrateur Debian](https://debian-handbook.info/browse/fr-FR/stable/sect.why-debian.html#id-1.5.8.5)"*. Une simple raison est que ça ressemble à ceux que je cherchais à cette époque, notamment:

- une distribution proposant beaucoup de logiciels,
- une distribution communautaire et surtout pas commerciale, pour ne pas retomber sur le cas Mandriva,
- la plus populaire des distributions, du moins la base, car en fait comme tout le monde à cette époque, j'ai connu Ubuntu avant Debian,
- des versions supportées sur au moins 1 ans,
- ...

Comme j'ai dis plus haut, on parle souvent du format de paquets, des gestionnaires de paquets mais très peu du reste, le reste est tout autant important sinon plus. Debian vient avec tout un tas d'assistant, ça passe du rapporteur de bugs au rapatriement des sources, de la configuration à la création de paquets, il y en a de toutes sortes.

Ce que j'aime avec Debian, c'est qu'il y a toujours (ou presque) au moins deux façon de faire quelque chose sous Debian. Un exemple comme ça est le téléchargement des sources d'un programme, on peut utiliser `ATP` ou bien `Dget`, pareil pour la création de paquets, on pourra passer par `dpkg` ou `debuild` entre autres. Et tout est comme ça chez Debian.

Alors pourquoi j'utilise Debian et pas une *"fille de"* ? Pour être francs, pour l'ensemble, j'ai par exemple une sainte horreur de *bugzilla* pour rapporter des bugs, je dois faire parti encore de ces vieux cons qui aiment le courriel et non la sorte de forum bordélique que propose *bugzilla*. Du coup `reportbug` me va très bien. C'est un exemple comme un autre, je prends `reportbug` mais je pourrai parler de `Synaptic` au lieu et place de ce qu'on trouve maintenant --non pas cette merde de `dnfdragora`-- comme gnome-logithèque.

J'ai aussi une préférence pour les distributions à sortie fixe et non roulantes, du moins sur la machine principale, le reste je m'en fou. Sachant aussi que de mon point de vue, je n'ai pas besoin de faire la course à la dernière version de tel logiciel, une rolling me sert pas à grand chose. Je pourrai pourtant partir sur une testing ou une Sid, si le besoin se faisait sentir mais non, je n'aime pas. En fait c'est pas une question d'aimer ou non, c'est une question de tranquillité, vais-je être plus tranquille avec des mises à jour en continu ou en faisant un gros saut de version une fois tous les deux ans? Pour le moment et en connaissant les deux styles, j'ai opté pour le saut de version.

Non, plus sérieusement, ce que j'aime avec Debian, c'est qu'ils font toujours en sorte que les changements passent inaperçus, que les sauts de version soient le plus "digestes" possible, qu'il y ait une transition souple, soit en faisant des scripts comme pour le passage de kde3 vers kde4, soit des alias comme actuellement avec Systemd pour qu'il prenne en compte les commandes de Sysvinit, etc...

Après, je sais pas pourquoi cette question me revient souvent, je ne suis pas développeur Debian, donc je ne suis pas le mieux placé pour répondre, puis c'est surtout une question de feeling, faut tester et c'est seulement comme ça qu'on va s'orienter.

Donc si je dois faire une phrase de fin, je dirai simplement que la meilleur distribution pour vous est celle qui vous va.
