---
title: Cataclysm, mon nouveau petit jeu sympathique.
date: 2021-1-25 18:33
---
Mon jeu du moment, une perle (ce qui suit est une traduction de l'article sur [Catalysme](https://en.wikipedia.org/wiki/Cataclysm:_Dark_Days_Ahead):

Le jeu se déroule dans un futur proche de la Nouvelle-Angleterre après qu'un événement catastrophique ait tué la plupart de la population humaine et engendré divers monstres et dangers. Bien que le cataclysme soit principalement une apocalypse zombie , de nombreux autres événements désastreux se produisent, y compris des invasions de champignons, de triffides , de monstres lovecraftiens et de grottes contenant des rats d'égout et un roi des rats .

Le jeu est fait avec Ncurses pour fournir des graphiques basés sur du texte; plus tard, une version SDL avec des tuiles graphiques est devenue disponible. Le jeu est en plein développement avec des versions expérimentales disponibles plusieurs fois par jour. La dernière version stable du jeu est 0.E "Ellison" publiée le 1er avril 2020. Cependant, les versions stables sont considérées comme des "instantanés" du développement plutôt que la version principale, avec l'expérimental mis à jour quotidiennement branche étant la version "maître" du jeu. 

Contrairement à la plupart des roguelikes, il n'a pas d'objectif : le joueur est libre d'explorer la carte générée de manière procédurale , de dégager des zones de monstres, de travailler avec des PNJ et de construire des abris et des véhicules. Le gameplay est principalement basé sur la survie au jour le jour, et le jeu suit des paramètres tels que la faim, la soif, le moral, la maladie et la température que le joueur doit réussir à rester en vie. Le jeu gère également de nombreux autres mécanismes sur le joueur, notamment la toxicomanie , les mutations , les membres cassés et les implants bioniques . 

Le monde peut être persistant entre les jeux. Lors du démarrage d'un nouveau personnage après la mort d'un personnage précédent, le nouveau jeu peut être défini dans le même monde de jeu que le dernier. Le monde prend en charge les saisons et les conditions météorologiques dynamiques et les longueurs de saison peuvent être modifiées au cours de la génération mondiale. Un monde typique a des villes, des villages, des rivières, des forêts, des ponts et d'autres points de repère. Les villes et villages ont généralement tous les établissements communs que l'on trouve généralement dans le monde réel, tels que les maisons, les grands magasins, les centres commerciaux, les parkings, les piscines, les hôpitaux, etc. Des lieux exotiques tels que des laboratoires, des bases militaires et des silos de missiles peuvent être trouvés dans des endroits reculés du monde entier. Les dernières versions prennent en charge les bâtiments expérimentaux en trois dimensions.

Les personnages peuvent être générés de manière aléatoire ou peuvent être personnalisés en fonction du gameplay et des préférences des joueurs. Les joueurs choisissent parmi plusieurs scénarios initiaux disponibles. Le scénario par défaut est "Evacuee" dans lequel le joueur part d'un centre d'évacuation avec peu de provisions. Le choix de scénarios plus difficiles attribue au joueur des points avec lesquels il peut créer des personnages plus puissants. Comme la plupart des roguelikes, le jeu permet aux joueurs de choisir au départ parmi diverses professions et chaque profession a son propre ensemble de traits et de compétences. Dans la création de personnage, les traits positifs peuvent être choisis en consommant des points, et les statistiques comme la force et l'intelligence et les compétences comme le tir à l'arc peuvent également être augmentées en dépensant des points. Les traits négatifs permettent au joueur de gagner plus de points à dépenser en traits, statistiques ou compétences positifs.Les traits qui ont un plus grand impact sur le gameplay ont plus de points qui leur sont associés, allant des traits mineurs comme «Pieds durs» et «Maladroit» à des traits qui changent la donne comme «Vision nocturne» ou «»Schizophrène . "Les personnages peuvent augmenter leurs compétences progressivement une fois dans le jeu en pratiquant les compétences respectives ou en lisant des livres obtenus à partir de diverses sources trouvées dans les villes ou les villages. Le jeu dispose également d'un système optionnel de rust des compétences par lequel les niveaux de compétence diminuent avec le temps en raison de désuétude.

Le jeu a un menu qui montre les conditions actuelles telles que la faim, la soif, le moral ou toute maladie existante dont souffre le personnage. Pour survivre, le personnage doit consommer régulièrement de la nourriture et de l'eau. Le personnage a également besoin de dormir régulièrement pour se remettre de ses blessures et éviter les pénalités négatives. Ce menu montre également la progression des compétences du personnage.

Contrairement à la plupart des roguelikes, CDDA se concentre fortement sur l'artisanat avec de nombreuses nécessités de base telles que les vêtements et la nourriture pouvant être fabriqués à partir d'articles bruts trouvés partout dans le monde. Pour que l'artisanat réussisse, le joueur a besoin des matières premières et de l'équipement nécessaires. Le joueur doit également apprendre la recette de l'objet à fabriquer qui peut être déverrouillé en lisant des livres dans les bibliothèques. Une fabrication réussie entraîne une augmentation de la compétence correspondante. Les objets artisanaux sont classés en armes, munitions, nourriture, produits chimiques, armures et autres, avec plusieurs sous-catégories dans chacune d'elles.

La fabrication peut être entravée par les conditions du joueur telles que le moral bas ou d'autres conditions de jeu externes comme une lumière insuffisante ou la présence de monstres à proximité.

CDDA propose un menu de construction complexe où l'on peut effectuer des activités de construction simples comme monter une fenêtre ou creuser une fosse, pour en élaborer d'autres comme construire un mur en béton armé, un mur en pierre, creuser un puits ou créer des sous-sols. Tout comme l'artisanat, la construction nécessite des matières premières comme la brique, les pierres ou les clous. L'équipement nécessaire à la construction peut être récupéré dans les villes ou peut être fabriqué via le menu d'artisanat à partir de matières premières supplémentaires. Pour la plupart, le terrain du jeu est entièrement destructible, ce qui signifie que le joueur et d'autres entités peuvent le détruire ou construire des structures dessus.

Les véhicules peuvent être réparés ou même construits à partir de zéro en utilisant le menu de construction. On rapporte que les joueurs ont créé des véhicules de tailles et de capacités très différentes - du petit quad avec un stockage limité à d'énormes "deathmobiles" avec plusieurs moteurs, tourelles, mitrailleuses et laboratoires chimiques.
Agriculture

Le joueur peut cultiver des terres et cultiver des céréales, des légumes, des baies et d'autres arbustes (par exemple du coton) à condition de trouver les graines respectives. La récolte finale peut être préparée pour une utilisation ultérieure (bien que certains aliments puissent périr), elle peut être consommée crue ou peut être utilisée pour préparer des produits plus élaborés (par exemple huile de cuisson , farine, spiritueux, vinaigre, aliments scellés). La saison agricole s'étend généralement de la fin du printemps au début de l'automne et dépend de la température extérieure. Chaque type de plante a des taux de croissance différents et la croissance peut être accélérée à l'aide d'engrais commerciaux ou artisanaux. Le résultat final dépend de la compétence de survie du personnage: plus la compétence est élevée, plus le rendement de chaque plante est élevé. Une fois récoltées, toutes les plantes sont considérées comme «mortes» et laissent de la paille (céréales) ou des plantes fanées et quelques graines. 

![Cataclysm-dda](/images/cataclysm-Capture%20d%E2%80%99%C3%A9cran%20de%202021-01-21%2018-19-28-debian.png)

![Cataclysm-dda](/images/cataclysm-Capture%20d%E2%80%99%C3%A9cran%20de%202021-01-21%2018-20-23-debian.png)

![Cataclysm-dda](/images/cataclysm-Capture%20d%E2%80%99%C3%A9cran%20de%202021-01-21%2018-45-17-debian.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-07-40-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-07-52-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-08-10-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-08-19-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-08-37-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-09-08-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-09-10-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-24-50-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_09-24-58-fedora.png)

![Cataclysm-dda](/images/cataclysm-Capture_d%E2%80%99%C3%A9cran_de_2021-01-21_18-08-28-fedora.png)

![Cataclysm-dda](/images/cataclysme-opensuse-Capture%20d%E2%80%99%C3%A9cran%20de%202021-01-21%2020-34-43.png)

![Cataclysm-dda](/images/cataclysme-opensuse-Capture%20d%E2%80%99%C3%A9cran%20de%202021-01-21%2020-38-02.png)

<iframe width="1236" height="695" src="https://www.youtube.com/embed/FsvZmc1h154" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
