#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

DEFAULT_LANG = u'fr'
LOCALE = ('fr_FR.UTF-8')

AUTHOR = 'Sebastien.C'
SITENAME = "Seb's blog"
SITESUBTITLE = 'PassionGNU/Linux, la passion du Libre...'
BIO_TEXT = 'PassionGNU/Linux, la passion du Libre...'
#THEME = 'themes/blue-penguin'
THEME = 'themes/pneumatic'
FOOTER_TEXT = 'Powered by <a href="http://getpelican.com">Pelican</a> and <a href="https://github.com/iKevinY/pneumatic">Pneumatic Theme.</a>'
COPYRIGHT = '<p style="text-align:center">© 2007/2020 Copyleft Seb95 - Licence de ce site: <a class="external text" href="https://www.gnu.org/licenses/fdl.html" rel="nofollow">GNU Free Documentation License</a> — <a class="maintitle" href="https://passiongnulinux.tuxfamily.org" title="PassionGNU/Linux">PassionGNU/Linux</a> - La Passion Du Libre... est hébergé gracieusement par: <a href="https://www.tuxfamily.org"><img alt="https://www.tuxfamily.org/images/logotfsmall.png" class="transparent" src="https://www.tuxfamily.org/images/logotfsmall.png"></a></p>'
INDEX_DESCRIPTION = 'PassionGNU/Linux, la passion du Libre...'
SITEURL = 'https://passiongnulinux.tuxfamily.org'
DEFAULT_CATEGORY = 'Divers'

PATH = 'content'

STATIC_PATHS = [
    'images',
    'extra',  # this
]
IGNORE_FILES = ['.DS_Store', 'pneumatic.scss', 'pygments.css']
EXTRA_PATH_METADATA = {
    'extra/custom.css': {'path': 'custom.css'},
    'extra/robots.txt': {'path': 'robots.txt'},
    'extra/favicon.ico': {'path': 'favicon.ico'},  # and this
    'extra/CNAME': {'path': 'CNAME'},
    'extra/LICENSE': {'path': 'LICENSE'},
    'extra/README': {'path': 'README'},
}

SOCIAL_ICONS = [
#    ('https://twitter.com/iKevinY', 'Twitter', 'fa-twitter'),
    ('https://github.com/passionlinux', 'GitHub', 'fa-github'),
#    ('https://instagram.com/ikeviny', 'Instagram', 'fa-instagram'),
#    ('https://buttondown.email/iKevinY', 'Newsletter', 'fa-newspaper-o'),
#    ('/atom.xml', 'Atom Feed', 'fa-feed'),
    ('/feed.rss', 'RSS Feed', 'fa-feed'),
]

THEME_COLOR = '#e10067'

USER_LOGO_URL = 'avatar.png'
ICONS_PATH = 'images/icons'

MARKDOWN = {
    'extension_configs': {
        'markdown.extensions.admonition': {},
        'markdown.extensions.codehilite': {'linenums': None},
        'markdown.extensions.extra': {},
    },
    'output_format': 'html5',
}


PLUGIN_PATHS = ['plugins']
PLUGINS = ['assets', 'neighbors', 'render_math']
ASSET_SOURCE_PATHS = ['static']
ASSET_CONFIG = [
    ('cache', False),
    ('manifest', False),
    ('url_expire', False),
    ('versions', False),
]

TIMEZONE = 'Europe/Paris'

# Feed generation is usually not desired when developing
FEED_ATOM = 'atom.xml'
FEED_RSS = 'feed.rss'
FEED_ALL_ATOM = None
FEED_ALL_RSS = 'feeds/all.rss.xml'
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None
CATEGORY_FEED_ATOM = None
CATEGORY_FEED_RSS = None
TAG_FEED_ATOM = None
TAG_FEED_RSS = None
TRANSLATION_FEED = None

# Blogroll
#LINKS = (('Pelican', 'http://getpelican.com/'),
#         ('Python.org', 'http://python.org/'),
#         ('Jinja2', 'http://jinja.pocoo.org/'),
#         ('Archive-Jekyll', 'https://passiongnulinux.tuxfamily.org/jekyll/'),)

# Social widget
#SOCIAL = (('You can add links in your config file', '#'),
#          ('Another social link', '#'),)
SIDEBAR_LINKS = [
    '<a href="/pages/a-propos-et-mentions-legales/">About</a>',
    '<a href="/archive/">Archive</a>',
    '<a href="https://passiongnulinux.tuxfamily.org/forum">Forum</a>',
    '<a href="/pages/liens-du-web/">Liens</a>',
]

DEFAULT_PAGINATION = 10
SUMMARY_MAX_LENGTH = 50
PAGINATED_TEMPLATES = {'index': None, 'tag': None, 'category': None, 'author': None}
PAGINATION_PATTERNS = (
    (1, '{url}', '{save_as}'),
    (2, '{base_name}/page/{number}/', '{base_name}/page/{number}/index.html'),
)

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

# all defaults to True.
DISPLAY_HEADER = True
DISPLAY_FOOTER = True
DISPLAY_HOME   = True
DISPLAY_MENU   = True

# provided as examples, they make ‘clean’ urls. used by MENU_INTERNAL_PAGES.
TAGS_URL           = None
TAGS_SAVE_AS = None
TAG_SAVE_AS = ''
TAG_URL = None
AUTHORS_URL        = ''
AUTHORS_SAVE_AS = None
AUTHOR_SAVE_AS = ''
AUTHOR_URL = ''
CATEGORIES_URL     = None
CATEGORIES_SAVE_AS = None
CATEGORY_SAVE_AS = ''
CATEFORY_URL = None
ARCHIVES_URL       = 'archive'
ARCHIVES_SAVE_AS   = 'archive/index.html'
YEAR_ARCHIVE_SAVE_AS = '{date:%Y}/index.html'
MONTH_ARCHIVE_SAVE_AS = '{date:%Y}/{date:%m}/index.html'
ARTICLE_URL        = 'posts/{date:%Y}-{date:%m}-{date:%d}-{slug}/'
ARTICLE_SAVE_AS    = 'posts/{date:%Y}-{date:%m}-{date:%d}-{slug}/index.html'
PAGE_URL           = 'pages/{slug}/'
PAGE_SAVE_AS       = 'pages/{slug}/index.html'

# use those if you want pelican standard pages to appear in your menu
MENU_INTERNAL_PAGES = (
        ('Archives', ARCHIVES_URL, ARCHIVES_SAVE_AS),
)

# additional menu items
MENUITEMS = (
    ('GitHub', 'https://github.com/Passionlinux'),
    ('Forum', 'https://passiongnulinux.tuxfamily.org/forum'),
)

TYPOGRIFY = True
CACHE_CONTENT = True
CONTENT_CACHING_LAYER = 'reader'
CACHE_PATH = 'cache'
GZIP_CACHE = True
LOAD_CONTENT_CACHE = True
DELETE_OUTPUT_DIRECTORY = True
TEMPLATES = ['404.html']
OUTPUT_SOURCES = True #Set to True if you want to copy the articles and pages in their original format (e.g. Markdown or reStructuredText) to the specified OUTPUT_PATH.

